Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.raytracer.surfaceUI
Class ConeUI

    java.lang.Object
      threeD.raytracer.surfaceUI.AbstractSurfaceUI
          threeD.raytracer.surfaceUI.ConeUI

All Implemented Interfaces:
  Surface, SurfaceUI, SurfaceWrapper

public class ConeUI
extends AbstractSurfaceUI

A ConeUI object is an extension of the basic Cone object that can be used in an application with a user interface.

Field Summary

Fields inherited from class threeD.raytracer.surfaceUI.AbstractSurfaceUI
`surface`

Constructor Summary
`ConeUI()` Constructs a new ConeUI object that represents a cone with a base radius of 1.0, centered at the origin, that is black.
`ConeUI(Cone cone)` Constructs a new ConeUI object based on the specified Cone object.
`ConeUI(Vector location, double radius)` Constructs a new ConeUI object that represents a cone with the specified base radius, and location, that is black.
`ConeUI(Vector location, double radius, RGB color)` Constructs a new ConeUI object that represents a cone with the specified base radius, location, and color.

Method Summary
`void` | `draw(Graphics g, Camera camera)` Draws a simple representation of the cone represented by this ConeUI object on the specified Graphics object using the viewing settings of the specified Camera object.
`String` | `getType()` Returns "Primitive Cone" as the surface type of this ConeUI object.

Methods inherited from class threeD.raytracer.surfaceUI.AbstractSurfaceUI
`getColorAt, getDialog, getName, getNormalAt, getShadeBack, getShadeFront, getSurface, hasDialog, intersect, intersectAt, setName, setParent, setSurface, shade, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConeUI

    public ConeUI()

  Constructs a new ConeUI object that represents a cone with a base radius of 1.0, centered at the origin, that is black.

### ConeUI

    public ConeUI(Vector location,
                  double radius)

  Constructs a new ConeUI object that represents a cone with the specified base radius, and location, that is black.

### ConeUI

    public ConeUI(Vector location,
                  double radius,
                  RGB color)

  Constructs a new ConeUI object that represents a cone with the specified base radius, location, and color.

### ConeUI

    public ConeUI(Cone cone)

  Constructs a new ConeUI object based on the specified Cone object.

Method Detail

### getType

    public String getType()

  Returns "Primitive Cone" as the surface type of this ConeUI object.

### draw

    public void draw(Graphics g,
                     Camera camera)

  Draws a simple representation of the cone represented by this ConeUI object on the specified Graphics object using the viewing settings of the specified Camera object.

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray